OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.SGIX.IglooInterface

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetSGIXIglooInterface :: MonadIO m => m Bool
- gl_SGIX_igloo_interface :: Bool
- glIglooInterfaceSGIX :: MonadIO m => GLenum -> Ptr a -> m ()

# Extension Support

glGetSGIXIglooInterface :: MonadIO m => m Bool

Is the SGIX_igloo_interface extension supported?

gl_SGIX_igloo_interface :: Bool

Is the SGIX_igloo_interface extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGIXIglooInterface` in those cases instead.

# Functions

glIglooInterfaceSGIX

Arguments

:: MonadIO m |
=> GLenum | `pname` of type `IglooFunctionSelectSGIX`.
-> Ptr a | `params` pointing to `COMPSIZE(pname)` elements of type `IglooParameterSGIX`.
-> m () |